Bug 1297166 - hash, type, and ulimit are missing from /usr/bin
hash, type, and ulimit are missing from /usr/bin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Oprala
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-09 22:52 EST by Watanabe, Yuki
Modified: 2016-02-01 01:33 EST (History)
5 users (show)

See Also:
Fixed In Version: bash-4.3.42-3.fc23 bash-4.3.42-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-13 00:21:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Watanabe, Yuki 2016-01-09 22:52:28 EST
Description of problem:
Some dummy commands such as /usr/bin/alias were added in #820192, but some other commands seem still missing. The POSIX standard requires "hash", "type", and "ulimit" to be available as external commands. They should be provided as dummy commands in the same way as /usr/bin/alias.

Version-Release number of selected component (if applicable):
bash-4.3.42-1.fc23.x86_64

How reproducible:
Always

Steps to Reproduce:
$ sh -c 'exec hash'
$ sh -c 'exec type'
$ sh -c 'exec ulimit'

Actual results:
$ sh -c 'exec hash'
sh: line 0: exec: hash: not found
$ sh -c 'exec type'
sh: line 0: exec: type: not found
$ sh -c 'exec ulimit'
sh: line 0: exec: ulimit: not found

Expected results:
The results should be the same as running the following command:
$ sh -c 'hash'
$ sh -c 'type'
$ sh -c 'ulimit'

Additional info:
The POSIX standard basically requires all commands that are defined in the standard to be available as external commands. The exceptions are a few commands that are categorized as "special built-in utilities", which are only required as shell built-in commands.
The standard is available at:
http://pubs.opengroup.org/onlinepubs/9699919799/utilities/toc.html
Comment 1 Fedora Update System 2016-01-11 06:15:01 EST
bash-4.3.42-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-971135608b
Comment 2 Fedora Update System 2016-01-12 04:53:12 EST
bash-4.3.42-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-faf70f2302
Comment 3 Fedora Update System 2016-01-12 04:54:20 EST
bash-4.3.42-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-971135608b
Comment 4 Fedora Update System 2016-01-13 00:21:35 EST
bash-4.3.42-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2016-02-01 01:33:25 EST
bash-4.3.42-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.